# ********** IdRepo ****************
mosip.kernel.jsonvalidator.property-source=CONFIG_SERVER
mosip.kernel.jsonvalidator.file-storage-uri=http://104.211.212.28:51000/kernel-idrepo-service/dev/DEV/
mosip.kernel.jsonvalidator.schema-name=mosip-identity-json-schema.json
# ********** Common Properties ****************
ida-demo.api.version=v1
server.port = 8081
server.servlet.context-path = /${ida-demo.api.version}/identity
logging.level.* = debug
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter=off
application.id=IDA
cryptomanager.partner.id=PARTNER
application.name=ID-Authentication
keysplitter=#KEY_SPLITTER#
mosip.kernel.uin.length=12
mosip.kernel.vid.length=16
mosip.kernel.prid.length=14

ida.api.version=1.0

# ********* Postgres Properties ************
javax.persistence.jdbc.driver=org.postgresql.Driver
javax.persistence.jdbc.url=jdbc:postgresql://localhost:5432/ida_db
javax.persistence.jdbc.user=postgres
javax.persistence.jdbc.password=admin


# ********* Hibernate Properties ***********
hibernate.dialect=org.hibernate.dialect.PostgreSQL95Dialect
hibernate.jdbc.lob.non_contextual_creation=true
#hibernate.hbm2ddl.auto=update
hibernate.show_sql=true
hibernate.format_sql=true
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false
spring.datasource.initialization-mode=never


# ******** Functional configurations ********
datetime.pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
date.pattern=yyyy-MM-dd
otprequest.received-time-allowed.in-minutes=20

demo.default.match.value=60


# *********** LOG configurations ************
log4j.rootLogger=DEBUG, Appender
#log4j.appender.Appender.Threshold=DEBUG
log4j.appender.Appender=org.apache.log4j.RollingFileAppender
log4j.appender.Appender.file= logs/id-auth.log
log4j.appender.Appender.filePattern=logs/id-auth-%d{yyyy-MM-dd}-%i.log
#log4j.appender.Appender.layout=org.apache.log4j.PatternLayout
#log4j.appender.Appender.layout.ConversionPattern = %d{yyyy-MM-dd HH:mm:ss.SSS} %level [%t] [%c] [%M] [%l] - %msg%n
log4j.appender.Appender.maxFileSize=1MB
log4j.appender.Appender.totalCap=10MB
#log4j.appender.Appender.maxBackupIndex=10


# ********* ADMIN Configurations ************
authrequest.received-time-allowed.in-hours=24

#********* Store Private Key *********
sample.privatekey.filepath={0}\Private_key
mosip.kernel.crypto.asymmetric-algorithm-name=RSA
mosip.kernel.crypto.symmetric-algorithm-name=AES


mosip.kernel.data-key-splitter=#KEY_SPLITTER#

mosip.kernel.encrypt-url=https://qa.mosip.io/v1/cryptomanager/encrypt
mosip.kernel.decrypt-url=https://qa.mosip.io/v1/cryptomanager/decrypt
mosip.kernel.publicKey-url=https://qa.mosip.io/v1/keymanager/publickey/{appId}

#Auth token
auth-token-generator.rest.uri=https://qa.mosip.io/v1/authmanager/authenticate/clientidsecretkey
auth-token-generator.rest.clientId=ida_app_user
auth-token-generator.rest.secretKey=5debb60adbfcf8feea4a6ed6160092ec
auth-token-generator.rest.appId=ida


application.id=IDA
mosip.ida.publickey=IDA

ida.authRequest.template={"consentObtained": true, "id": "mosip.identity.$authType", "individualId": "$id", "individualIdType": "$idType", "keyIndex": "string", "request":"$encRequest", "requestHMAC": "$encHmac", "requestSessionKey": "$encSessionKey", "requestTime": "$timestamp", "requestedAuth": { "bio": $bio, "demo": $demo, "otp": $otp, "pin": $pin }, "transactionID": "$txn", "version": "$ver" }

#---------------Global Config-----------------
mosip.secondary-language=fra